Searched refs:keyfile (Results 1 - 25 of 46) sorted by relevance

12

/freebsd-13-stable/share/examples/uefisign/
H A Duefikeys20 keyfile="${1}.key"
29 [ ! -e "${keyfile}" ] || die "${keyfile} already exists"
33 openssl genrsa -out "${keyfile}" 2048 2> /dev/null || die "openssl genrsa failed"
34 openssl req -new -x509 -sha256 -days "${days}" -subj "${subj}" -key "${keyfile}" -out "${certfile}" || die "openssl req failed"
37 echo "certificate: ${certfile}; private key: ${keyfile}; certificate to enroll in UEFI: ${efifile}"
/freebsd-13-stable/crypto/heimdal/kdc/
H A Dkstash.c38 static char *keyfile; variable
51 { "key-file", 'k', arg_string, &keyfile, "master key file", "file" },
53 "just convert keyfile to new format", NULL },
87 if (keyfile == NULL)
88 asprintf(&keyfile, "%s/m-key", hdb_db_dir(context));
94 ret = hdb_read_master_key(context, keyfile, &mkey);
96 krb5_err(context, 1, ret, "reading master key from %s", keyfile);
100 krb5_err(context, 1, ret, "reading master key from %s", keyfile);
136 asprintf(&old, "%s.old", keyfile);
137 asprintf(&new, "%s.new", keyfile);
[all...]
/freebsd-13-stable/contrib/unbound/contrib/
H A Dupdate-anchor.sh15 echo " -b causes keyfile to be made in bind format."
54 # arguments: <zonename> <keyfile>
56 keyfile="$2"
65 $ubhost -v $rh $filearg "$keyfile" -t DNSKEY "$zonename" >$tmpfile
68 echo "Error: Could not update zone $zonename anchor file $keyfile"
79 echo "Error: Could not update zone $zonename anchor file $keyfile"
122 diff $tmp2 $keyfile >/dev/null 2>&1
124 cat $tmp2 > $keyfile
126 echo "$zonename key file $keyfile updated."
128 echo "$zonename key file $keyfile unchange
[all...]
/freebsd-13-stable/tests/sys/geom/class/eli/
H A Dattach_test.sh18 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
20 atf_check geli init -B none -P -K keyfile ${md}
21 atf_check geli attach -d -p -k keyfile ${md}
55 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
57 atf_check geli init -B none -P -K keyfile ${md}
58 atf_check geli attach -r -p -k keyfile ${md}
85 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
87 atf_check geli init -B none -P -K keyfile ${md0}
88 atf_check geli init -B none -P -K keyfile ${md1}
89 atf_check geli init -B none -P -K keyfile
[all...]
H A Dreentrancy_test.sh17 atf_check dd if=/dev/random of=keyfile bs=$secsize count=16 status=none
21 geli init -B none -a $aalgo -e $ealgo -l $keylen -P -K keyfile \
23 atf_check geli attach -p -k keyfile ${md}
26 geli init -B none -a $aalgo -e $ealgo -l $keylen -P -K keyfile \
28 atf_check geli attach -p -k keyfile ${md}.eli
H A Ddetach_test.sh18 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
20 atf_check geli init -B none -P -K keyfile ${md}
21 atf_check geli attach -p -k keyfile ${md}
H A Dintegrity_test.sh14 -K keyfile -s $secsize ${md}
15 atf_check geli attach -p -k keyfile ${md}
60 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
79 geli init -B none -a $aalgo -e $ealgo -l $keylen -P -K keyfile \
86 atf_check geli attach -p -k keyfile ${md}
106 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
123 geli init -B none -a $aalgo -e $ealgo -l $keylen -P -K keyfile \
130 atf_check geli attach -p -k keyfile ${md}
150 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
H A Dinit_test.sh14 geli init -B none -e $ealgo -l $keylen -P -K keyfile \
16 atf_check geli attach -p -k keyfile ${md}
48 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
70 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
76 atf_check -s exit:0 -o ignore geli init -B none -P -K keyfile ${md}
83 atf_check -s exit:0 -o ignore geli init -P -K keyfile ${md}
88 atf_check -s not-exit:0 -e ignore geli attach -p -k keyfile ${md}
90 atf_check -s exit:0 -o ignore geli attach -p -k keyfile ${md}
97 geli init -B backupfile -P -K keyfile ${md}
102 atf_check -s not-exit:0 -e ignore geli attach -p -k keyfile
[all...]
H A Dkill_test.sh81 atf_check dd if=/dev/random of=keyfile bs=512 count=16 status=none
83 atf_check geli init -B none -P -K keyfile ${md}
85 atf_check geli attach -r -p -k keyfile ${md}
91 atf_check geli attach -p -k keyfile ${md}
/freebsd-13-stable/libexec/rc/rc.d/
H A Dsshd33 local keyfile
41 keyfile="/etc/ssh/ssh_host_${alg}_key"
48 if [ -f "${keyfile}" ] ; then
59 /usr/bin/ssh-keygen -q -t $alg -f "$keyfile" -N ""
60 /usr/bin/ssh-keygen -l -f "$keyfile.pub"
/freebsd-13-stable/sys/contrib/openzfs/tests/zfs-tests/tests/functional/rsend/
H A Drecv_dedup_encrypted_zvol.ksh36 rm $keyfile
42 typeset keyfile=/$TESTPOOL/pkey
49 log_must eval "echo 'password' > $keyfile"
H A Dsend-wR_encrypted_zvol.ksh43 [[ -d $recvmnt ]] && log_must rm -rf $keyfile
44 [[ -d $mntpnt ]] && log_must rm -rf $keyfile
47 [[ -f $keyfile ]] && log_must rm $keyfile
54 typeset keyfile=/$TESTPOOL/pkey
63 log_must eval "echo 'password' > $keyfile"
66 -o keylocation=file://$keyfile -V 128M $TESTPOOL/$TESTVOL
H A Dsend_encrypted_props.ksh53 [[ -f $keyfile ]] && log_must rm $keyfile
59 typeset keyfile=/$TESTPOOL/pkey
66 log_must eval "echo 'password' > $keyfile"
72 -o keylocation=file://$keyfile $TESTPOOL/crypt
74 log_must zfs create -o keyformat=passphrase -o keylocation=file://$keyfile \
112 "-o keyformat=passphrase -o keylocation=file://$keyfile $TESTPOOL/recv"
126 "-o keylocation=file://$keyfile $ds < $sendfile"
130 log_must test "$(get_prop 'keylocation' $ds)" == "file://$keyfile"
142 "-o keylocation=file://$keyfile
[all...]
H A Dsend_encrypted_truncated_files.ksh48 [[ -f $keyfile ]] && log_must rm $keyfile
69 typeset keyfile=/$TESTPOOL/pkey
74 log_must eval "echo 'password' > $keyfile"
76 -o keylocation=file://$keyfile $TESTPOOL/$TESTFS2
H A Dsend_realloc_encrypted_files.ksh47 rm -f $keyfile
54 typeset keyfile=/$TESTPOOL/pkey
57 log_must eval "echo 'password' > $keyfile"
59 -o keylocation=file://$keyfile $POOL/fs
H A Dsend_encrypted_files.ksh52 [[ -f $keyfile ]] && log_must rm $keyfile
59 typeset keyfile=/$TESTPOOL/pkey
64 log_must eval "echo 'password' > $keyfile"
66 -o keylocation=file://$keyfile $TESTPOOL/$TESTFS2
/freebsd-13-stable/usr.bin/ssh-copy-id/
H A Dssh-copy-id.sh32 echo "usage: ssh-copy-id [-lv] [-i keyfile] [-o option] [-p port] [user@]hostname" >&2
42 keyfile=$HOME/.ssh/authorized_keys ; \
46 if ! grep -sqwF "$key" "$keyfile"; then \
47 printf "$alg $key $comment\n" >> "$keyfile" ; \
51 /sbin/restorecon -F "$HOME/.ssh/" "$keyfile" >/dev/null 2>&1 || true ; \
/freebsd-13-stable/sbin/decryptcore/
H A Ddecryptcore.c59 "usage: decryptcore [-fLv] -p privatekeyfile -k keyfile -e encryptedcore -c core\n"
119 decrypt(int ofd, const char *privkeyfile, const char *keyfile, argument
135 PJDLOG_ASSERT(keyfile != NULL);
157 kfd = open(keyfile, O_RDONLY);
159 pjdlog_errno(LOG_ERR, "Unable to open %s", keyfile);
310 char core[PATH_MAX], encryptedcore[PATH_MAX], keyfile[PATH_MAX]; local
327 *keyfile = '\0';
352 if (strlcpy(keyfile, optarg, sizeof(keyfile)) >=
353 sizeof(keyfile)) {
[all...]
/freebsd-13-stable/contrib/ntp/sntp/
H A Dcrypto.h28 extern int auth_init(const char *keyfile, struct key **keys);
H A Dcrypto.c211 /* Load keys from the specified keyfile into the key structures.
217 const char *keyfile,
221 FILE *keyf = fopen(keyfile, "r");
232 printf("sntp auth_init: Couldn't open key file %s for reading!\n", keyfile);
237 printf("sntp auth_init: Key file %s is empty!\n", keyfile);
283 keyfile, line_cnt,
216 auth_init( const char *keyfile, struct key **keys ) argument
/freebsd-13-stable/crypto/openssl/apps/
H A Dsmime.c125 char *certfile = NULL, *keyfile = NULL, *contfile = NULL; local
251 if (keyfile == NULL)
252 keyfile = signerfile;
256 sk_OPENSSL_STRING_push(skkeys, keyfile);
257 keyfile = NULL;
274 if (keyfile != NULL) {
288 sk_OPENSSL_STRING_push(skkeys, keyfile);
290 keyfile = opt_arg();
331 if (keyfile && !signerfile) {
342 if (!keyfile)
[all...]
H A Dspkac.c57 char *challenge = NULL, *keyfile = NULL; local
96 keyfile = opt_arg();
125 if (keyfile != NULL) {
126 pkey = load_key(strcmp(keyfile, "-") ? keyfile : NULL,
H A Drsautl.c72 char *infile = NULL, *outfile = NULL, *keyfile = NULL; local
150 keyfile = opt_arg();
177 pkey = load_key(keyfile, keyformat, 0, passin, e, "Private Key");
181 pkey = load_pubkey(keyfile, keyformat, 0, NULL, e, "Public Key");
185 x = load_cert(keyfile, keyformat, "Certificate");
/freebsd-13-stable/crypto/heimdal/kadmin/
H A Dkadmin.c39 static char *keyfile; variable
63 "key-file", 'k', arg_string, &keyfile,
204 if (keyfile) {
205 conf.stash_file = keyfile;
/freebsd-13-stable/contrib/openbsm/bin/auditdistd/
H A Dtoken.l65 keyfile { DP; return KEYFILE; }

Completed in 113 milliseconds

12